#region << 版 本 注 释 >>

/*--------------------------------------------------------------------
* 版权所有 (c) 2025 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：Mr.Wen's MacBook Pro
* 命名空间：Sln.Iot.Config
* 唯一标识：132376EA-435B-4340-B8F3-44D61AAE1E99
*
* 创建者：WenJY
* 电子邮箱：
* 创建时间：2025-04-11 10:54:31
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/

#endregion << 版 本 注 释 >>

using System.Collections.Generic;
using Microsoft.Extensions.Options;

namespace Sln.Iot.Config
{
    public class AppConfig: IOptions<AppConfig>
    {
        /// <summary>
        /// 日志文件路径
        /// </summary>
        public string logPath { get; set; }

        /// <summary>
        /// 监听端口
        /// </summary>
        public int listernPort { get; set; }
        
        /// <summary>
        /// 虚拟值，用于过滤FFFFFF
        /// </summary>
        public long virtualValue { get; set; }
        
        /// <summary>
        /// 是否启用虚拟值
        /// </summary>
        public bool virtualFlag { get; set; }

        /// <summary>
        /// 电力数据采集间隔
        /// </summary>
        public int electricTimeInterval { get; set; }
        
        /// <summary>
        /// 流体数据采集间隔
        /// </summary>
        public int fluidTimeInterval { get; set; }

        /// <summary>
        /// Sql连接配置 
        /// </summary>
        public List<SqlConfig> sqlConfig { get; set; }
        
        /// <summary>
        /// Redis配置
        /// </summary>
        public string redisConfig { get; set; }

        /// <summary>
        /// 串口配置
        /// </summary>
        public SerialPortConfig serialPortConfig { get; set; }

        public AppConfig Value => this;
    }
}