﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sln.Iot.Model.dao
{
    [SugarTable("ems_record_alarm_rule"), TenantAttribute("tao_iot")]
    public class BaseAlarmRule
    {
        /// <summary>
        /// 编号 
        ///</summary>
        [SugarColumn(ColumnName = "obj_id", IsPrimaryKey = true)]
        public long objid { get; set; }

        /// <summary>
        /// 计量设备编号 
        ///</summary>
        [SugarColumn(ColumnName = "monitor_id")]
        public string monitorId { get; set; }

        /// <summary>
        /// 规则编号
        /// </summary>
        [SugarColumn(ColumnName = "rule_id")]
        public string ruleId { get;set; }

        /// <summary>
        /// 规则名称
        /// </summary>
        [SugarColumn(ColumnName = "rule_name")]
        public string ruleName { get; set; }

        /// <summary>
        /// 触发规则（0大于 1小于）
        /// </summary>
        [SugarColumn(ColumnName = "trigger_rule")]
        public int triggerRule { get; set; }

        /// <summary>
        /// 监测字段（0温度，1湿度，2振动-速度(mm/s)，3振动-位移(um)，4振动-加速度(g)，5振动-温度(℃),6-噪音，7-照度）
        /// </summary>
        [SugarColumn(ColumnName = "monitor_field")]
        public int monitorField { get;set; }

        /// <summary>
        /// 阈值
        /// </summary>
        [SugarColumn(ColumnName = "trigger_value")] 
        public decimal triggerValue { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnName = "cause")]
        public string cause { get; set; }
        
        /// <summary>
        /// 告警记录ID，推送数据使用，ORM不用
        /// </summary>
        [SugarColumn(IsIgnore = true)]
        public long alarmId { get; set; }
    }
}
