#region << 版 本 注 释 >>

/*--------------------------------------------------------------------
* 版权所有 (c) 2025 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：Mr.Wen's MacBook Pro
* 命名空间：Sln.Iot.Model.dao
* 唯一标识：74702D18-55B3-4AA3-91EB-E02ADC9AEBC8
*
* 创建者：WenJY
* 电子邮箱：
* 创建时间：2025-04-11 13:23:39
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/

#endregion << 版 本 注 释 >>

using System;
using SqlSugar;

namespace Sln.Iot.Model.dao
{
    ///<summary>
    ///计量设备信息
    ///</summary>
    [SugarTable("ems_base_monitor_info"), TenantAttribute("tao_iot")]
    public partial class BaseMonitorInfo
    {
           public BaseMonitorInfo(){


           }
           /// <summary>
           /// Desc:自增标识
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true,ColumnName="obj_id")]
           public int objid {get;set;}

           /// <summary>
           /// Desc:父级编号
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="parent_id")]           
           public int? parentId {get;set;}

           /// <summary>
           /// Desc:计量设备编号
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,ColumnName="monitor_code")]
           public string monitorId {get;set;}

           /// <summary>
           /// Desc:计量设备名称
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="monitor_name")]           
           public string monitorName {get;set;}

           /// <summary>
           /// Desc:计量设备位置
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="monitor_addr")]           
           public string monitorAddr {get;set;}

           /// <summary>
           /// Desc:计量设备类型
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="monitor_type")]           
           public int? monitorType {get;set;}

           /// <summary>
           /// Desc:计量设备状态
           /// Default:0
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="monitor_status")]           
           public int? monitorStatus {get;set;}

           /// <summary>
           /// Desc:采集设备编号
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="collect_device_id")]           
           public string collectDeviceId {get;set;}

           /// <summary>
           /// Desc:祖级列表
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="ancestors")]           
           public string ancestors {get;set;}

           /// <summary>
           /// Desc:等级
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="grade")]           
           public int? grade {get;set;}

           /// <summary>
           /// Desc:传感器仪表
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="meter_type_id")]           
           public string meterTypeId {get;set;}

           /// <summary>
           /// Desc:修正值
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="correct_value")]           
           public decimal? correctValue {get;set;}

           /// <summary>
           /// Desc:PT值
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="pt")]           
           public int? pt {get;set;}

           /// <summary>
           /// Desc:CT值
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="ct")]           
           public int? ct {get;set;}

           /// <summary>
           /// Desc:是否虚拟
           /// Default:false
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="is_ammeter")]           
           public string isAmmeter {get;set;}

           /// <summary>
           /// Desc:通断复位
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="is_key_monitor")]           
           public int? isKeyMonitor {get;set;}

           /// <summary>
           /// Desc:是否断路
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="is_circuit")]           
           public int? isCircuit {get;set;}

           /// <summary>
           /// Desc:创建人
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="create_by")]           
           public string createBy {get;set;}

           /// <summary>
           /// Desc:创建时间
           /// Default:CURRENT_TIMESTAMP
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="create_time")]           
           public DateTime? createTime {get;set;}

           /// <summary>
           /// Desc:更新人
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="update_by")]           
           public string updateBy {get;set;}

           /// <summary>
           /// Desc:更新时间
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="update_time")]           
           public DateTime? updateTime {get;set;}
    }
}