#region << 版 本 注 释 >>

/*--------------------------------------------------------------------
* 版权所有 (c) 2025 Wen JY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：ThinkPad T14
* 命名空间：Sln.Iot.Model.dao
* 唯一标识：50695B31-9DE2-4EE5-A13D-D58B53CDEBBA
*
* 创建者：WenJY
* 电子邮箱：
* 创建时间：2025-06-05 10:38:09
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/

#endregion << 版 本 注 释 >>

using SqlSugar;

namespace Sln.Iot.Model.dao;

///<summary>
///告警数据记录
///</summary>
[SugarTable("ems_record_alarm_data"), Tenant("tao_iot")]
public class RecordAlarmData
{
    
    /// <summary>
    /// 编号 
    ///</summary>
    [SugarColumn(ColumnName = "obj_id", IsPrimaryKey = true)]
    public long objid { get; set; }
    
    /// <summary>
    /// Desc:计量设备编号
    /// Default:
    /// Nullable:False
    /// </summary>           
    [SugarColumn(IsPrimaryKey=true,ColumnName="monitor_id")]
    public string monitorId {get;set;}
    
    /// <summary>
    /// Desc:采集设备编号
    /// Default:
    /// Nullable:True
    /// </summary>
    [SugarColumn(ColumnName="collect_device_id")]           
    public string collectDeviceId {get;set;}
    
    /// <summary>
    /// 触发规则（0大于 1小于）
    /// </summary>
    [SugarColumn(ColumnName = "alarm_type")]
    public int triggerRule { get; set; }
    
    /// <summary>
    /// 监测字段（0温度，1湿度，2振动-速度(mm/s)，3振动-位移(um)，4振动-加速度(g)，5振动-温度(℃),6-噪音，7-照度）
    /// </summary>
    [SugarColumn(ColumnName = "cause")]
    public int monitorField { get;set; }
    
    /// <summary>
    /// 告警值
    /// </summary>
    [SugarColumn(ColumnName = "alarm_data")]
    public decimal alarmValue { get;set; }
    
    /// <summary>
    /// 采集时间 
    ///</summary>
    [SugarColumn(ColumnName="collect_time"    )]
    public DateTime? collectTime { get; set; }

}