#region << 版 本 注 释 >>

/*--------------------------------------------------------------------
* 版权所有 (c) 2025 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：Mr.Wen's MacBook Pro
* 命名空间：Sln.Iot.Model.dao
* 唯一标识：B1423370-1BD2-4199-AEDC-80C06296A9BC
*
* 创建者：WenJY
* 电子邮箱：
* 创建时间：2025-05-20 10:57:48
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/

#endregion << 版 本 注 释 >>

using System;
using SqlSugar;

namespace Sln.Iot.Model.dao
{
    /// <summary>
    /// 电实时数据
    /// </summary>
    [SplitTable(SplitType.Day)]
    [SugarTable("record_dnb_instant_{year}{month}{day}"), TenantAttribute("tao_iot")]
    public class RecordDnbInstant
    {
        /// <summary>
        /// 编号 
        ///</summary>
         [SugarColumn(ColumnName="objid" ,IsPrimaryKey = true )]
         public long objid { get; set; }
        /// <summary>
        /// 计量设备编号 
        ///</summary>
         [SugarColumn(ColumnName="monitor_id"    )]
         public string monitorId { get; set; }
        
        /// <summary>
        /// A项电压 
        ///</summary>
         [SugarColumn(ColumnName="va"    )]
         public decimal? vA { get; set; }
        
        /// <summary>
        /// B项电压 
        ///</summary>
         [SugarColumn(ColumnName="vb"    )]
         public decimal? vB { get; set; }
        
        /// <summary>
        /// C项电压 
        ///</summary>
         [SugarColumn(ColumnName="vc"    )]
         public decimal? vC { get; set; }
        
        /// <summary>
        /// A项电流 
        ///</summary>
         [SugarColumn(ColumnName="ia"    )]
         public decimal? iA { get; set; }
        
        /// <summary>
        /// B项电流 
        ///</summary>
         [SugarColumn(ColumnName="ib"    )]
         public decimal? iB { get; set; }
        
        /// <summary>
        /// C项电流 
        ///</summary>
         [SugarColumn(ColumnName="ic"    )]
         public decimal? iC { get; set; }
        
        /// <summary>
        /// 功率因数 
        ///</summary>
         [SugarColumn(ColumnName="glys"    )]
         public decimal? powerFactor { get; set; }
        
        /// <summary>
        /// 正向有功 
        ///</summary>
         [SugarColumn(ColumnName="zxyg"    )]
         public decimal? positiveActive { get; set; }
        
        /// <summary>
        /// 有功功率 
        ///</summary>
         [SugarColumn(ColumnName="active_power"    )]
         public decimal? activePower { get; set; }
        
        /// <summary>
        /// 无功功率 
        ///</summary>
         [SugarColumn(ColumnName="reactive_power"    )]
         public decimal? reactivePower { get; set; }
        
        /// <summary>
        /// 采集方式 
        /// 默认值: 0
        ///</summary>
         [SugarColumn(ColumnName="collect_type"    )]
         public int collectType
         {
          get { return 1;} 
         }
        
         /// <summary>
         /// 采集时间 
         ///</summary>
         [SugarColumn(ColumnName="collect_time"    )]
         public DateTime? collectTime { get; set; }
         
         /// <summary>
         /// 记录时间 
         ///</summary>
         [SplitField]
         [SugarColumn(ColumnName="record_time"    )]
         public DateTime? recordTime { get; set; }
    }
}