#region << 版 本 注 释 >>

/*--------------------------------------------------------------------
* 版权所有 (c) 2025 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：Mr.Wen's MacBook Pro
* 命名空间：Sln.Iot.Model.dao
* 唯一标识：CB52EBBD-0D7F-498D-B2D0-B9926F06F5AF
*
* 创建者：WenJY
* 电子邮箱：
* 创建时间：2025-05-20 14:40:03
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/

#endregion << 版 本 注 释 >>

using System;
using SqlSugar;

namespace Sln.Iot.Model.dao
{
    /// <summary>
    /// 流体实时数据
    /// </summary>
    [SplitTable(SplitType.Day)]
    [SugarTable("record_fluid_instant_{year}{month}{day}"), Tenant("tao_iot")]
    public class RecordFluidInstant
    {
        /// <summary>
        /// 自增标识 
        ///</summary>
        [SugarColumn(ColumnName="objid" ,IsPrimaryKey = true )]
        public long objid { get; set; }
        
        /// <summary>
        /// 计量设备编号 
        ///</summary>
        [SugarColumn(ColumnName="monitor_id"    )]
        public string monitorId { get; set; }
        
        /// <summary>
        /// 温度值
        /// </summary>
        [SugarColumn(ColumnName="temperature"  )]
        public decimal? temperature{get;set;}
        
        /// <summary>
        /// 压力值
        /// </summary>
        [SugarColumn(ColumnName="press"  )]
        public decimal? press{get;set;}
        
        /// <summary>
        /// 频率值
        /// </summary>
        [SugarColumn(ColumnName="frequency"  )]
        public decimal? frequency{get;set;}
        
        /// <summary>
        /// 密度值
        /// </summary>
        [SugarColumn(ColumnName="density"  )]
        public decimal? density{get;set;}
        
        /// <summary>
        /// 瞬时热量 
        ///</summary>
        [SugarColumn(ColumnName="instant_heat"    )]
        public decimal? instantHeat { get; set; }
        
        /// <summary>
        /// 累计热量 
        ///</summary>
        [SugarColumn(ColumnName="total_heat"    )]
        public decimal? totalHeat { get; set; }
        
        /// <summary>
        /// 瞬时流量 
        ///</summary>
        [SugarColumn(ColumnName="instant_flow"    )]
        public decimal? instantFlow { get; set; }
        
        /// <summary>
        /// 累计流量 
        ///</summary>
        [SugarColumn(ColumnName="total_flow"    )]
        public decimal? totalFlow { get; set; }
        
        /// <summary>
        /// 采集方式 
        /// 默认值: 0
        ///</summary>
        [SugarColumn(ColumnName="collect_type"    )]
        public int collectType
        {
            get { return 1;} 
        }
        
        /// <summary>
        /// 采集时间 
        ///</summary>
        [SugarColumn(ColumnName="collect_time"    )]
        public DateTime? collectTime { get; set; }
        
        /// <summary>
        /// 记录时间 
        ///</summary>
        [SplitField]
        [SugarColumn(ColumnName="record_time"    )]
        public DateTime? recordTime { get; set; }
    }
}