#region << 版 本 注 释 >>

/*--------------------------------------------------------------------
* 版权所有 (c) 2025 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：Mr.Wen's MacBook Pro
* 命名空间：Sln.Iot.Model.dao
* 唯一标识：2946BBED-E772-4BC4-953F-F4B9834C27F6
*
* 创建者：WenJY
* 电子邮箱：
* 创建时间：2025-04-11 15:20:56
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/

#endregion << 版 本 注 释 >>

using System;
using SqlSugar;

namespace Sln.Iot.Model.dao
{
    [SplitTable(SplitType.Day)]
    [SugarTable("record_iotenv_instant_{year}{month}{day}"), TenantAttribute("tao_iot")]
    public class RecordIotEnvInstant
    {
        /// <summary>
        /// 编号  ,IsIdentity = true 
        ///</summary>
        [SugarColumn(ColumnName="objid" ,IsPrimaryKey = true )]
        public long objid { get; set; }
        
        /// <summary>
        /// 计量设备编号 
        ///</summary>
        [SugarColumn(ColumnName="monitorId"    )]
        public string monitorId { get; set; }
        
        /// <summary>
        /// 温度
        /// </summary>
        [SugarColumn(ColumnName="temperature"    )]
        public decimal temperature { get; set; }
        
        /// <summary>
        /// 湿度
        /// </summary>
        [SugarColumn(ColumnName="humidity"    )]
        public decimal humidity { get; set; }
        
        /// <summary>
        /// 照度
        /// </summary>
        [SugarColumn(ColumnName="illuminance"    )]
        public decimal illuminance { get; set; }
        
        /// <summary>
        /// 噪音
        /// </summary>
        [SugarColumn(ColumnName="noise"    )]
        public decimal noise { get; set; }
        
        /// <summary>
        /// 气体浓度
        /// </summary>
        [SugarColumn(ColumnName="concentration"    )]
        public decimal concentration { get; set; }

        /// <summary>
        /// 振动-速度
        /// </summary>
        [SugarColumn(ColumnName = "vibration_speed")]
        public decimal vibrationSpeed { get; set; }

       
        /// <summary>
        /// 振动-位移
        /// </summary>
        [SugarColumn(ColumnName = "vibration_displacement")]
        public decimal vibrationDisplacement { get; set; }

        /// <summary>
        /// 振动-加速度
        /// </summary>
        [SugarColumn(ColumnName = "vibration_acceleration")]
        public decimal vibrationAcceleration { get; set; }

        /// <summary>
        /// 振动-温度
        /// </summary>
        [SugarColumn(ColumnName = "vibration_temp")]
        public decimal vibrationTemp { get; set; }


        /// <summary>
        /// 采集时间 
        ///</summary>
        [SugarColumn(ColumnName="collectTime"    )]
        public DateTime? collectTime { get; set; }
        
        /// <summary>
        /// 记录时间 
        ///</summary>
        [SplitField]
        [SugarColumn(ColumnName="recodeTime"    )]
        public DateTime? recordTime { get; set; }
    }
}