#region << 版 本 注 释 >>

/*--------------------------------------------------------------------
* 版权所有 (c) 2025 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：Mr.Wen's MacBook Pro
* 命名空间：Sln.Iot.Repository
* 唯一标识：EBCC8183-D907-4049-B036-0C5BA2284E22
*
* 创建者：WenJY
* 电子邮箱：
* 创建时间：2025-04-11 13:39:23
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/

#endregion << 版 本 注 释 >>

using System.Collections.Generic;
using Microsoft.Extensions.DependencyInjection;
using Sln.Iot.Config;
using SqlSugar;

namespace Sln.Iot.Repository
{
    public static class SqlsugarSetup
    {
        /// <summary>
        /// 注册SqlSugar
        /// </summary>
        /// <param name="services"></param>
        public static void AddSqlSugarSetup(this IServiceCollection services)
        {
            services.AddSingleton<ISqlSugarClient>(x =>
            {
                var appConfig = x.GetService<AppConfig>();

                var connectConfigList = new List<ConnectionConfig>();
                if (appConfig.sqlConfig != null)
                {
                    foreach (var item in appConfig.sqlConfig)
                    {
                        if (item.isFlag)
                        {
                            var config = new ConnectionConfig()
                            {
                                ConfigId = item.configId,
                                DbType = (DbType)item.dbType,
                                ConnectionString = item.connStr,
                                InitKeyType = InitKeyType.Attribute,
                                IsAutoCloseConnection = true,
                            };
                            connectConfigList.Add(config);
                        }
                    }
                }
                SqlSugarScope Db = new SqlSugarScope(connectConfigList, db =>
                {
                    db.Aop.OnLogExecuting = (sql, pars) => { };
                });

                return Db;
            });
        }
    }
}