#region << 版 本 注 释 >>

/*--------------------------------------------------------------------
* 版权所有 (c) 2025 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：Mr.Wen's MacBook Pro
* 命名空间：Sln.Iot.Socket.Adapter
* 唯一标识：8A1D4D97-E419-4A49-B921-7FF76B190F45
*
* 创建者：WenJY
* 电子邮箱：
* 创建时间：2025-04-11 13:55:38
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/

#endregion << 版 本 注 释 >>

using TouchSocket.Core;

namespace Sln.Iot.Socket.Adapter
{
    public class BufferRequestInfo: IRequestInfo
    {
        /// <summary>
        /// 帧头 0x68 1个字
        /// </summary>
        public byte[] header { get; internal set; }
        
        /// <summary>
        /// 采集设备编号,由采集器类型(1个字)、采集器地址(2个字)组成
        /// </summary>
        public string ColletEquipCode { get; internal set; }
        
        /// <summary>
        /// 自定义属性,DataType
        /// </summary>
        public byte DataType { get; internal set; }

        /// <summary>
        /// Buffer长度
        /// </summary>
        public int BufferLength { get; internal set; }
        
        /// <summary>
        /// 内容体
        /// </summary>
        public byte[] Body { get; internal set; }

        /// <summary>
        /// 校验位 1个字：从帧头到数据累加CS校验
        /// </summary>
        public byte CheckBit { get; internal set; }

        /// <summary>
        /// 帧尾 0x16 1个字
        /// </summary>
        public byte[] Tail { get; internal set; }
        
        /// <summary>
        /// 原始Buffer
        /// </summary>
        public ByteBlock buffer { get; internal set; }
    }
}