# Sql File 数据结构

record_iotenv_instant：动力环境数据表

```sql
/*
 Navicat Premium Data Transfer

 Source Server         : 127.0.0.1_4000
 Source Server Type    : MySQL
 Source Server Version : 80011 (8.0.11-TiDB-v8.5.1)
 Source Host           : 127.0.0.1:4000
 Source Schema         : tao_iot

 Target Server Type    : MySQL
 Target Server Version : 80011 (8.0.11-TiDB-v8.5.1)
 File Encoding         : 65001

 Date: 20/05/2025 14:18:32
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for record_iotenv_instant
-- ----------------------------
DROP TABLE IF EXISTS `record_iotenv_instant`;
CREATE TABLE `record_iotenv_instant` (
  `objid` bigint NOT NULL AUTO_INCREMENT COMMENT '主键标识',
  `monitorId` varchar(50) DEFAULT NULL COMMENT '计量设备编号',
  `temperature` decimal(18,2) DEFAULT NULL COMMENT '温度',
  `humidity` decimal(18,2) DEFAULT NULL COMMENT '湿度',
  `illuminance` decimal(18,2) DEFAULT NULL COMMENT '照度',
  `noise` decimal(18,2) DEFAULT NULL COMMENT '噪声',
  `concentration` decimal(18,2) DEFAULT NULL COMMENT '硫化氢浓度',
  `vibration_speed` decimal(18,2) DEFAULT NULL COMMENT '振动-速度(mm/s)',
  `vibration_displacement` decimal(18,2) DEFAULT NULL COMMENT '振动-位移(um)',
  `vibration_acceleration` decimal(18,2) DEFAULT NULL COMMENT '振动-加速度(g)',
  `vibration_temp` decimal(18,2) DEFAULT NULL COMMENT '振动-温度(℃)',
  `collectTime` datetime DEFAULT NULL COMMENT '采集时间',
  `recodeTime` datetime DEFAULT NULL COMMENT '记录时间',
  PRIMARY KEY (`objid`) /*T![clustered_index] CLUSTERED */
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin AUTO_INCREMENT=6687491 COMMENT='物联网数据';

SET FOREIGN_KEY_CHECKS = 1;

```

record_dnb_instant：电能数据表

```sql
/*
 Navicat Premium Data Transfer

 Source Server         : 127.0.0.1_4000
 Source Server Type    : MySQL
 Source Server Version : 80011 (8.0.11-TiDB-v8.5.1)
 Source Host           : 127.0.0.1:4000
 Source Schema         : tao_iot

 Target Server Type    : MySQL
 Target Server Version : 80011 (8.0.11-TiDB-v8.5.1)
 File Encoding         : 65001

 Date: 20/05/2025 14:18:23
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for record_dnb_instant
-- ----------------------------
DROP TABLE IF EXISTS `record_dnb_instant`;
CREATE TABLE `record_dnb_instant` (
  `objid` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `monitor_id` varchar(64) DEFAULT NULL COMMENT '计量设备编号',
  `va` decimal(18,2) DEFAULT NULL COMMENT 'A项电压',
  `vb` decimal(18,2) DEFAULT NULL COMMENT 'B项电压',
  `vc` decimal(18,2) DEFAULT NULL COMMENT 'C项电压',
  `ia` decimal(18,2) DEFAULT NULL COMMENT 'A项电流',
  `ib` decimal(18,2) DEFAULT NULL COMMENT 'B项电流',
  `ic` decimal(18,2) DEFAULT NULL COMMENT 'C项电流',
  `glys` decimal(18,2) DEFAULT NULL COMMENT '功率因数',
  `zxyg` decimal(18,2) DEFAULT NULL COMMENT '正向有功',
  `active_power` decimal(18,2) DEFAULT NULL COMMENT '有功功率',
  `reactive_power` decimal(18,2) DEFAULT NULL COMMENT '无功功率',
  `collect_type` int DEFAULT '0' COMMENT '采集方式',
  `collect_time` datetime DEFAULT NULL COMMENT '采集时间',
  `record_time` datetime DEFAULT NULL COMMENT '记录时间',
  PRIMARY KEY (`objid`) /*T![clustered_index] CLUSTERED */
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='电实时数据';

SET FOREIGN_KEY_CHECKS = 1;

```

record_fluid_instant：流体实时数据

```sql
/*
 Navicat Premium Data Transfer

 Source Server         : 127.0.0.1_4000
 Source Server Type    : MySQL
 Source Server Version : 80011 (8.0.11-TiDB-v8.5.1)
 Source Host           : 127.0.0.1:4000
 Source Schema         : tao_iot

 Target Server Type    : MySQL
 Target Server Version : 80011 (8.0.11-TiDB-v8.5.1)
 File Encoding         : 65001

 Date: 20/05/2025 14:31:46
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for record_fluid_instant
-- ----------------------------
DROP TABLE IF EXISTS `record_fluid_instant`;
CREATE TABLE `record_fluid_instant` (
  `objid` bigint NOT NULL AUTO_INCREMENT COMMENT '自增标识',
  `monitor_id` varchar(64) DEFAULT NULL COMMENT '计量设备编号',
  `temperature` decimal(18,2) DEFAULT NULL COMMENT '温度值',
  `press` decimal(18,2) DEFAULT NULL COMMENT '压力值',
  `frequency` decimal(18,2) DEFAULT NULL COMMENT '频率值',
  `density` decimal(18,2) DEFAULT NULL COMMENT '密度值',
  `instant_heat` decimal(18,2) DEFAULT NULL COMMENT '瞬时热量',
  `total_heat` decimal(18,2) DEFAULT NULL COMMENT '累计热量值',
  `instant_flow` decimal(18,2) DEFAULT NULL COMMENT '瞬时流量',
  `total_flow` decimal(18,2) DEFAULT NULL COMMENT '累计流量',
  `collect_type` int DEFAULT '0' COMMENT '采集方式',
  `collect_time` datetime DEFAULT NULL COMMENT '采集时间',
  `record_time` datetime DEFAULT NULL COMMENT '记录时间',
  PRIMARY KEY (`objid`) /*T![clustered_index] CLUSTERED */
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='流体实时数据';

SET FOREIGN_KEY_CHECKS = 1;

```